Update a webhook endpoint
curl --request PUT \
--url https://api.devhelm.io/api/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"subscribedEvents": [],
"enabled": true
}
'import requests
url = "https://api.devhelm.io/api/v1/webhooks/{id}"
payload = {
"url": "<string>",
"description": "<string>",
"subscribedEvents": [],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', description: '<string>', subscribedEvents: [], enabled: true})
};
fetch('https://api.devhelm.io/api/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"subscribedEvents": [
"<string>"
],
"enabled": true,
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabledReason": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Webhooks
Update a webhook endpoint
PUT
/
api
/
v1
/
webhooks
/
{id}
Update a webhook endpoint
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
New webhook URL; null preserves current
Maximum string length:
2048New description; null preserves current
Maximum string length:
255Replace subscribed events; null preserves current
Available options:
monitor.created, monitor.updated, monitor.deleted, incident.created, incident.resolved, incident.reopened, service.status_changed, service.component_changed, service.incident_created, service.incident_updated, service.incident_resolved Enable or disable delivery; null preserves current
Response
OK
Webhook endpoint that receives event delivery payloads
Show child attributes
Show child attributes
⌘I